using System;

namespace Stat.web
{
    /// <summary>
    /// 
    /// </summary>
    public partial class NewsList1 : System.Web.UI.Page
    {
        Model.News newsModel = new Stat.Model.News();
        Model.PageInfo pageModel = new Stat.Model.PageInfo(15);
        Stat.Cache.INews news = Stat.Cache.CacheFatory.CreateNews();
        /// <summary>
        /// 
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        protected void Page_Load(object sender, EventArgs e)
        {
            pageModel.PageIndex = Plugin.Common.Rq_Int("page");
            pageModel.PageIndex = pageModel.PageIndex < 1 ? 1 : pageModel.PageIndex;
            pageModel.SortType = 1;

            GetList();

        }
        private void GetList()
        {
            this.ltrList.Text = Html.News.Get(news.Get(newsModel, ref pageModel));
            this.ltrIndex.Text = JPageIndex.GetIndex.Get(pageModel.RecordCount, pageModel.PageIndex, pageModel.PageSize, "", 1, 0, 1, 7);
        }
    }
}
